> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ariacompute.cn/llms.txt
> Use this file to discover all available pages before exploring further.

# 列出子智能体轮次

> 获取某个特定子智能体的已完成轮次。每个轮次代表子智能体内部一次完整的「用户输入到模型响应」循环。

使用此接口在轮次层面检查子智能体的对话历史。轮次将用户输入、任何中间工具调用与最终响应分组为离散的循环。

## 接口

```http theme={null}
GET /v1/agents/sessions/{session_id}/subagents/{subagent_id}/turns
```

## 认证

传递 `Authorization: Bearer <api-key>` 或 `Authorization: ApiKey <key>` 之一。

## 路径参数

<ParamField path="session_id" type="string" required>
  智能体会话标识符。
</ParamField>

<ParamField path="subagent_id" type="string" required>
  子智能体标识符。
</ParamField>

## 响应

<ResponseField name="object" type="string">
  恒为 `list`。
</ResponseField>

<ResponseField name="data" type="array">
  该子智能体的轮次对象数组。
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl https://agent.example.com/v1/agents/sessions/sess_01J5X8/subagents/sub_01D/turns \
    -H "Authorization: Bearer <api-key>"
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "object": "list",
    "data": [
      {
        "id": "turn_02C",
        "session_id": "sess_01J5X8",
        "subagent_id": "sub_01D",
        "status": "completed",
        "created_at": "2024-06-01T12:36:00Z"
      }
    ]
  }
  ```
</ResponseExample>
